Package org.python.core

## Class StdoutWrapper

- java.lang.Object
- - java.io.OutputStream
  - - org.python.core.StdoutWrapper

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`
  Direct Known Subclasses:
    `StderrWrapper`

      public class StdoutWrapper
      extends java.io.OutputStream

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StdoutWrapper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `flush()` |
    `void` | `flushLine()` |
    `void` | `print​(java.lang.String s)` |
    `void` | `print​(PyObject o)` |
    `void` | `print​(PyObject[] args, PyObject sep, PyObject end)` | For __future__ print_function.
    `void` | `print​(PyObject o, boolean space, boolean newline)` |
    `void` | `printComma​(PyObject o)` |
    `void` | `println()` |
    `void` | `println​(boolean useUnicode)` |
    `void` | `println​(java.lang.String s)` |
    `void` | `println​(PyObject o)` |
    `void` | `write​(byte[] data, int off, int len)` |
    `void` | `write​(int i)` |
    `void` | `write​(java.lang.String s)` |

    - ### Methods inherited from class java.io.OutputStream

      `close, nullOutputStream, write`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StdoutWrapper

          public StdoutWrapper()

  - ### Method Detail

    - #### flush

          public void flush()

      Specified by:
        `flush` in interface `java.io.Flushable`
      Overrides:
        `flush` in class `java.io.OutputStream`

    - #### write

          public void write​(java.lang.String s)

    - #### write

          public void write​(int i)

      Specified by:
        `write` in class `java.io.OutputStream`

    - #### write

          public void write​(byte[] data,
                            int off,
                            int len)

      Overrides:
        `write` in class `java.io.OutputStream`

    - #### flushLine

          public void flushLine()

    - #### print

          public void print​(PyObject[] args,
                            PyObject sep,
                            PyObject end)

      For __future__ print_function.

    - #### print

          public void print​(PyObject o,
                            boolean space,
                            boolean newline)

    - #### print

          public void print​(java.lang.String s)

    - #### println

          public void println​(java.lang.String s)

    - #### print

          public void print​(PyObject o)

    - #### printComma

          public void printComma​(PyObject o)

    - #### println

          public void println​(PyObject o)

    - #### println

          public void println()

    - #### println

          public void println​(boolean useUnicode)